summaryrefslogtreecommitdiff
path: root/tests/realmath/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-06-14 19:56:22 +0200
committerClifford Wolf <clifford@clifford.at>2014-06-14 19:56:22 +0200
commit39eb347c67056f9b56ecfdab1704362d4cd276e1 (patch)
tree6369d287dfc1ce59cb2d95ff5858201c2f66c013 /tests/realmath/run-test.sh
parentd5765b5e14319c20a62a20f470e8ec5dc48d0010 (diff)
progress in realmath test bench
Diffstat (limited to 'tests/realmath/run-test.sh')
-rwxr-xr-xtests/realmath/run-test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/realmath/run-test.sh b/tests/realmath/run-test.sh
new file mode 100755
index 00000000..9568cdd6
--- /dev/null
+++ b/tests/realmath/run-test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+rm -rf temp
+mkdir -p temp
+echo "generating tests.."
+python generate.py
+
+cd temp
+echo "running tests.."
+for ((i = 0; i < 100; i++)); do
+ echo -n "[$i]"
+ idx=$( printf "%05d" $i )
+ ../../../yosys -q uut_${idx}.ys
+ iverilog -o uut_${idx}_tb uut_${idx}_tb.v uut_${idx}.v uut_${idx}_syn.v
+ ./uut_${idx}_tb > uut_${idx}.log
+done
+echo
+